
Figure - Bug #118123
【IOVDEV-29579】【自动化测试】【稳定性测试】【VC1】【副屏】monkey稳定性测试，副屏重启
2023-05-22 10:57 - CDTS_TEST 王成

Status: CLOSED Start date: 2023-05-22

Priority: Normal Due date:

Assignee: CD FW 曹覃刚 % Done: 100%

Category: SYSTEM Estimated time: 0.00 hour

Target version:

Need_Info: -- Found Version: 01.00.0100.c103

Resolution: DUPLICATE Degrated: No

Severity: Critical Verified Version:

Reproducibility: Occasionally Fixed Version:

Test Type: ST Root cause: 与 #118122 问题一样, 属于同件问题

Description

【重启时间】：2023/5/20 14:00 ~ 5/22 08:30之间

【前提条件】：副屏上电

【操作步骤】

【前提条件】.副屏正常可以操作

1.执行monkey稳定性测试

【实际结果】

1.monkey停止运行，安卓系统重启

【期望结果】

1.副屏正常再跑monkey命令

【备注】：

adb shell

ps -ef | grep system_server

发现system_server PID 19000+，怀疑system_srever被kill掉，安卓重启

日志地址：

【硬件版本号】：

【中控版本号】：03.02.0080.c101

【副屏版本号】：01.00.0100.c103

选项附件

History

#1 - 2023-05-22 11:05 - CDTS_TEST 王成

- Category changed from CD-FW to BSP

- Assignee changed from CD FW 曹覃刚 to CD SYSTEM-夏旭

#2 - 2023-05-22 11:09 - CDTS_TEST 王成
#3 - 2023-05-22 22:20 - CD SYSTEM-夏旭

- % Done changed from 0 to 10

1.上层重启：

  000041_persist_00005_700101_080011.log:152:01-01 08:00:11.218  1528  1528 I system_server_start: [1,8581,8581]

  000042_persist_00055_700101_080009.log:543:01-01 08:00:09.876  1520  1520 I system_server_start: [1,7026,7026]

  000043_persist_00127_700101_080009.log:616:01-01 08:00:10.310  1548  1548 I system_server_start: [1,7647,7647]

  000044_persist_00165_700101_080009.log:1051:01-01 08:00:10.069  1526  1526 I system_server_start: [1,7388,7388]

  000045_persist_00179_700101_080010.log:1706:01-01 08:00:09.801  1206  1206 I system_server_start: [1,6666,6666]

  000045_persist_00022_230519_005507.log:1146:05-19 00:55:06.405  4449  4449 I system_server_start: [2,37099124,37099124]

  000046_persist_00365_700101_080009.log:710:01-01 08:00:09.840  1522  1522 I system_server_start: [1,6895,6895]

  000047_persist_00527_700101_080009.log:1237:01-01 08:00:10.023  1517  1517 I system_server_start: [1,7067,7067]

  000047_persist_00072_221111_164500.log:2018:11-11 16:45:01.636  9697  9697 I system_server_start: [2,60308609,60308609]

  000046_persist_00365_700101_080009.log:710:01-01 08:00:09.840  1522  1522 I system_server_start: [1,6895,6895]

  000047_persist_00072_221111_164500.log:2018:11-11 16:45:01.636  9697  9697 I system_server_start: [2,60308609,60308609]

  000048_persist_00833_700101_080014.log:694:01-01 08:00:14.408  1570  1570 I system_server_start:

 

#4 - 2023-05-23 11:14 - CDTS-TEST 周婷

- Category changed from BSP to SYSTEM

#5 - 2023-05-23 20:07 - CDTS-TEST 周婷

- Assignee changed from CD SYSTEM-夏旭 to CD FW 曹覃刚

需上层分析

#6 - 2023-05-24 20:48 - CD FW 曹覃刚

- Status changed from New to RESOLVED

- % Done changed from 10 to 100

- Resolution changed from -- to DUPLICATE

- Degrated changed from -- to No

- Root cause set to 与 #118122 问题一样, 属于同件问题

Hi 周婷

在日志中看到system_server被杀了

Out of memory: Kill process 1570 (system_server)

与 #118122 问题一样, 属于同件问题

kernel/000048_kernel_00291_230521_100012.log:1827:05-21 10:17:21.242     0     0 E         : [71478.644246] Out of memory: Kill process 1570 (system_server) score 0 or

sacrifice child

#7 - 2023-05-25 21:08 - CDTS-TEST 周婷

- Status changed from RESOLVED to VERIFIED
#8 - 2023-05-25 21:08 - CDTS-TEST 周婷

- Status changed from VERIFIED to CLOSED

118122跟踪，此问题关闭处理
